### Function

# GioUnix mount_is_system_internal

#### Declaration

    gboolean
    g_unix_mount_is_system_internal (
      GUnixMountEntry* mount_entry
    )

#### Description

Checks if a Unix mount is a system mount. This is the Boolean OR of g_unix_is_system_fs_type(), `g_unix_is_system_device_path()` and `g_unix_is_mount_path_system_internal()` on `mount_entry`’s properties.

The definition of what a ‘system’ mount entry is may change over time as new file system types and device paths are ignored.

#### Parameters

`mount_entry`

  Type: `GUnixMountEntry`

  A `GUnixMount`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the unix mount is for a system path.